#  Mobilizon

Prilagajanje zaenkrat ni podprto, kot pravi njihov [FAQ](https://docs.joinmobilizon.org/administration/faq/#how-can-i-tweak-the-instance-theme-the-logo):

> ## How can I tweak the instance theme, the logo,…
>
> For now this isn't supported (unless you edit the front-end files directly).

S tem so, se mi zdi, mišljene datoteke v js/src/components, saj tam najdem datoteke, kot sta [Logo.vue](https://framagit.org/framasoft/mobilizon/-/blob/master/js/src/components/Logo.vue) in [Footer.vue](https://framagit.org/framasoft/mobilizon/-/blob/master/js/src/components/Footer.vue).

# Nextcloud

NextCloud podpira zamenjavo teme in njenih elementov preko uporabniškega vmesnika. Omogoča zamenjavo logotipa, barvne palete in drugo.

Več v [njihovi dokumentaciji](https://docs.nextcloud.com/server/20/admin_manual/configuration_server/theming.html).

# Roundcube

Roundcube omogoča prilagajanje izgleda preko "[Skins](https://github.com/roundcube/roundcubemail/wiki/Skins)". Osnovna inštalacija ponuja [tri različne teme](https://roundcube.net/screens/).

Možno je [prilagajanje obstoječih tem](https://github.com/roundcube/roundcubemail/wiki/Skins#extending-skins) (zamenjava posameznih elementov) ali pa ustvarjanje nove. Teme se definirajo s pomočjo XHTML in css datotek, pri čemer imajo za XHTML [dobro definirane oznake](https://github.com/roundcube/roundcubemail/wiki/Skin-Markup).

# YunoHost

Temo se da zamenjati (omenjajo "theme": "light"), naložiti od kod drugod ali pa napisati svojo. To zadnje zahteva pripravo .css datotek, ki spremenijo izgled uporabniškega portala, tipke YunoHost ali pa celo funkcionalnost tipke (to pa zahteva JavaScript). [Omenjajo](https://yunohost.org/#/theming) naslednje datoteke:

> * `custom_portal.css` can be used to add custom CSS rules to the user portal;
> * `custom_overlay.css` can be used to customize the small YunoHost button overlay, displayed on apps page which includes it;
> * `custom_portal.js` can be used to add custom JS code to be ran both on the user portal or when injecting the small YunoHost button / overlay.

# DokuWiki

Ponujajo že [velik nabor izgledov](https://www.dokuwiki.org/template#search_templates), pri pisanju lastnega pa priporočajo prilagoditev že obstoječih. Izgled je sicer [definiran](https://www.dokuwiki.org/devel:templates) v PHP-ju in css datotekah.

# Kanboard

O temah nisem našel veliko informacij. Kot kaže, so definirane v JavaScriptu in css datotekah, ampak [navodila](https://docs.kanboard.org/en/1.2.18/developer_guide/assets.html) so precej skopa.

# PeerTube

Za preproste spremembe je dovolj dodati nekaj CSS navodil preko nadzorne plošče `Administration > Configuration > Advanced configuration` . Kot primer navajajo barvno shemo:

```
body#custom-css {
  --mainColor: #E8252D;
}
```

Možno pa je pripraviti tudi lastno temo, za kar je potrebnega nekaj več dela, saj je treba pripraviti [vtičnik](https://docs.joinpeertube.org/contribute-plugins); ti pa omogočajo tudi marsikaj drugega kot le spreminjanje izgleda.

# Calibre Web

# BigBlueButton

BigBlueButton za front-end uporablja [Greenlight](https://github.com/bigbluebutton/greenlight). Tako predlagajo [zamenjavo prve strani](https://docs.bigbluebutton.org/2.2/customize.html#modify-the-default-landing-page) (angl. landing page) ali pa prilagoditev Greenlighta.

To drugo lahko naredimo [s spreminjanjem besedila](https://docs.bigbluebutton.org/greenlight/gl-customize.html#customizing-the-landing-page) ali pa ikon (v _features.html.erb v mapi [components](https://github.com/bigbluebutton/greenlight/tree/master/app/views/main/components) ). Še pred tem je treba namestiti "Customize" različico Greenlighta.

# Jitsi